# Uses of Interface
org.gitana.platform.client.platform.Platform

Packages that use Platform
Package
Description
org.gitana.platform.client
org.gitana.platform.client.api
org.gitana.platform.client.application
org.gitana.platform.client.billing
org.gitana.platform.client.directory
org.gitana.platform.client.domain
org.gitana.platform.client.platform
org.gitana.platform.client.project
org.gitana.platform.client.registrar
org.gitana.platform.client.repository
org.gitana.platform.client.stack
org.gitana.platform.client.support
org.gitana.platform.client.vault
org.gitana.platform.client.webhost

## Uses of Platform in org.gitana.platform.client

Methods in org.gitana.platform.client that return Platform
Modifier and Type
Method
Description
`Platform`
Gitana.`authenticate()`
Authenticates using the user credentials stored in the Gitana resource bundle.
`Platform`
Gitana.`authenticate(String username, String password)`
Authenticates to Gitana using the given credentials.
`Platform`
Gitana.`authenticate(String username, String password, ConnectOptions connectOptions)`
`Platform`
Gitana.`authenticate(ConnectOptions connectOptions)`
`Platform`
Gitana.`authenticate(DomainUser user, String password)`
Authenticates as the given domain user.
`Platform`
Gitana.`authenticate(DomainUser user, String password, ConnectOptions connectOptions)`
`Platform`
Gitana.`authenticateAsGuest()`
Authenticates as the guest user.
`Platform`
Gitana.`authenticateOnTenant(Identity identity, String password, String tenantId)`
Authenticates as the given identity using a domain user that belongs to a domain on the given tenant.
`Platform`
Gitana.`authenticateOnTenant(DomainUser user, String password, String tenantId)`
Authenticates the user's identity using a domain user that belongs to a domain on the given tenant.
`Platform`
Gitana.`authenticateOnTenant(DomainUser user, String password, Tenant tenant)`
Authenticates the user's identity using a domain user that belongs to a domain on the given tenant.
`Platform`
Gitana.`authenticateWithCode(String code, String redirectUri)`
Authenticates with the code supplied by the Authorization Flow authorization server call.
`static Platform`
Gitana.`connect()`
`static Platform`
Gitana.`connect(com.fasterxml.jackson.databind.node.ObjectNode config)`
`static Platform`
Gitana.`connect(com.fasterxml.jackson.databind.node.ObjectNode config, ConnectOptions connectOptions)`
`static Platform`
Gitana.`connect(String clientKey, String clientSecret, String username, String password, String baseURL)`
`static Platform`
Gitana.`connect(String clientKey, String clientSecret, String username, String password, String baseURL, ConnectOptions connectOptions)`
`static Platform`
Gitana.`connect(Map<String,String> properties)`
`static Platform`
Gitana.`connect(Map<String,String> properties, ConnectOptions connectOptions)`
`static Platform`
Gitana.`connect(ResourceBundle bundle)`
`static Platform`
Gitana.`connect(ResourceBundle bundle, ConnectOptions connectOptions)`
`static Platform`
Gitana.`connect(ConnectOptions connectOptions)`
`Platform`
Driver.`getPlatform()`
`protected Platform`
Gitana.`loadPlatform(Driver driver)`
Methods in org.gitana.platform.client with parameters of type Platform
Modifier and Type
Method
Description
`void`
Driver.`setPlatform(Platform platform)`

## Uses of Platform in org.gitana.platform.client.api

Constructors in org.gitana.platform.client.api with parameters of type Platform
Modifier
Constructor
Description
``
`AuthenticationGrantImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`ClientImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.application

Methods in org.gitana.platform.client.application that return Platform
Modifier and Type
Method
Description
`Platform`
Application.`getPlatform()`
Constructors in org.gitana.platform.client.application with parameters of type Platform
Modifier
Constructor
Description
``
`ApplicationImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.billing

Constructors in org.gitana.platform.client.billing with parameters of type Platform
Modifier
Constructor
Description
``
`BillingProviderConfigurationImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.directory

Methods in org.gitana.platform.client.directory that return Platform
Modifier and Type
Method
Description
`Platform`
AbstractDirectoryDocumentImpl.`getPlatform()`
`Platform`
DirectoryDocument.`getPlatform()`
Constructors in org.gitana.platform.client.directory with parameters of type Platform
Modifier
Constructor
Description
``
`DirectoryImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.domain

Constructors in org.gitana.platform.client.domain with parameters of type Platform
Modifier
Constructor
Description
``
`DomainImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.platform

Classes in org.gitana.platform.client.platform that implement Platform
Modifier and Type
Class
Description
`class`
`PlatformImpl`
Methods in org.gitana.platform.client.platform that return Platform
Modifier and Type
Method
Description
`Platform`
AbstractPlatformDataStoreImpl.`getPlatform()`
`Platform`
AbstractPlatformDocumentImpl.`getPlatform()`
`Platform`
PlatformDataStore.`getPlatform()`
`Platform`
PlatformDocument.`getPlatform()`
Constructors in org.gitana.platform.client.platform with parameters of type Platform
Modifier
Constructor
Description
`protected`
`AbstractPlatformDataStoreImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`AbstractPlatformDocumentImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.project

Constructors in org.gitana.platform.client.project with parameters of type Platform
Modifier
Constructor
Description
``
`ProjectImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.registrar

Constructors in org.gitana.platform.client.registrar with parameters of type Platform
Modifier
Constructor
Description
``
`RegistrarImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.repository

Constructors in org.gitana.platform.client.repository with parameters of type Platform
Modifier
Constructor
Description
``
`RepositoryImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.stack

Constructors in org.gitana.platform.client.stack with parameters of type Platform
Modifier
Constructor
Description
``
`StackImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Platform
Modifier and Type
Method
Description
`Platform`
ObjectFactory.`platform(Cluster cluster, Response response)`
`Platform`
ObjectFactoryImpl.`platform(Cluster cluster, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Platform
Modifier and Type
Method
Description
`Application`
ObjectFactory.`application(Platform platform)`
`Application`
ObjectFactory.`application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
ObjectFactory.`application(Platform platform, Response response)`
`Application`
ObjectFactoryImpl.`application(Platform platform)`
`Application`
ObjectFactoryImpl.`application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
ObjectFactoryImpl.`application(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Application>`
ObjectFactory.`applications(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Application>`
ObjectFactoryImpl.`applications(Platform platform, Response response)`
`AuthenticationGrant`
ObjectFactory.`authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
ObjectFactory.`authenticationGrant(Platform platform, Response response)`
`AuthenticationGrant`
ObjectFactoryImpl.`authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
ObjectFactoryImpl.`authenticationGrant(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
ObjectFactory.`authenticationGrants(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
ObjectFactoryImpl.`authenticationGrants(Platform platform, Response response)`
`BillingProviderConfiguration`
ObjectFactory.`billingProviderConfiguration(Platform platform, Response response)`
`BillingProviderConfiguration`
ObjectFactoryImpl.`billingProviderConfiguration(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
ObjectFactory.`billingProviderConfigurations(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
ObjectFactoryImpl.`billingProviderConfigurations(Platform platform, Response response)`
`Client`
ObjectFactory.`client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
ObjectFactory.`client(Platform platform, Response response)`
`Client`
ObjectFactoryImpl.`client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
ObjectFactoryImpl.`client(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Client>`
ObjectFactory.`clients(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Client>`
ObjectFactoryImpl.`clients(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Directory>`
ObjectFactory.`directories(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Directory>`
ObjectFactoryImpl.`directories(Platform platform, Response response)`
`Directory`
ObjectFactory.`directory(Platform platform)`
`Directory`
ObjectFactory.`directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
ObjectFactory.`directory(Platform platform, Response response)`
`Directory`
ObjectFactoryImpl.`directory(Platform platform)`
`Directory`
ObjectFactoryImpl.`directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
ObjectFactoryImpl.`directory(Platform platform, Response response)`
`Domain`
ObjectFactory.`domain(Platform platform)`
`Domain`
ObjectFactory.`domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
ObjectFactory.`domain(Platform platform, Response response)`
`Domain`
ObjectFactoryImpl.`domain(Platform platform)`
`Domain`
ObjectFactoryImpl.`domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
ObjectFactoryImpl.`domain(Platform platform, Response response)`
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Platform platform, Response response)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactory.`domainPrincipals(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactoryImpl.`domainPrincipals(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Domain>`
ObjectFactory.`domains(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Domain>`
ObjectFactoryImpl.`domains(Platform platform, Response response)`
`PlatformDataStore`
ObjectFactory.`platformDataStore(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`PlatformDataStore`
ObjectFactoryImpl.`platformDataStore(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
ObjectFactory.`platformDataStores(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
ObjectFactoryImpl.`platformDataStores(Platform platform, Response response)`
`Project`
ObjectFactory.`project(Platform platform, Response response)`
`Project`
ObjectFactoryImpl.`project(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Project>`
ObjectFactory.`projects(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Project>`
ObjectFactoryImpl.`projects(Platform platform, Response response)`
`Registrar`
ObjectFactory.`registrar(Platform platform)`
`Registrar`
ObjectFactory.`registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
ObjectFactory.`registrar(Platform platform, Response response)`
`Registrar`
ObjectFactoryImpl.`registrar(Platform platform)`
`Registrar`
ObjectFactoryImpl.`registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
ObjectFactoryImpl.`registrar(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Registrar>`
ObjectFactory.`registrars(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Registrar>`
ObjectFactoryImpl.`registrars(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Repository>`
ObjectFactory.`repositories(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Repository>`
ObjectFactoryImpl.`repositories(Platform platform, Response response)`
`Repository`
ObjectFactory.`repository(Platform platform)`
`Repository`
ObjectFactory.`repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
ObjectFactory.`repository(Platform platform, Response response)`
`Repository`
ObjectFactoryImpl.`repository(Platform platform)`
`Repository`
ObjectFactoryImpl.`repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
ObjectFactoryImpl.`repository(Platform platform, Response response)`
`Stack`
ObjectFactory.`stack(Platform platform, Response response)`
`Stack`
ObjectFactoryImpl.`stack(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Stack>`
ObjectFactory.`stacks(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Stack>`
ObjectFactoryImpl.`stacks(Platform platform, Response response)`
`Vault`
ObjectFactory.`vault(Platform platform)`
`Vault`
ObjectFactory.`vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
ObjectFactory.`vault(Platform platform, Response response)`
`Vault`
ObjectFactoryImpl.`vault(Platform platform)`
`Vault`
ObjectFactoryImpl.`vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
ObjectFactoryImpl.`vault(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Vault>`
ObjectFactory.`vaults(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Vault>`
ObjectFactoryImpl.`vaults(Platform platform, Response response)`
`WebHost`
ObjectFactory.`webhost(Platform platform)`
`WebHost`
ObjectFactory.`webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
ObjectFactory.`webhost(Platform platform, Response response)`
`WebHost`
ObjectFactoryImpl.`webhost(Platform platform)`
`WebHost`
ObjectFactoryImpl.`webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
ObjectFactoryImpl.`webhost(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<WebHost>`
ObjectFactory.`webhosts(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<WebHost>`
ObjectFactoryImpl.`webhosts(Platform platform, Response response)`

## Uses of Platform in org.gitana.platform.client.vault

Methods in org.gitana.platform.client.vault that return Platform
Modifier and Type
Method
Description
`Platform`
VaultDocument.`getPlatform()`
Constructors in org.gitana.platform.client.vault with parameters of type Platform
Modifier
Constructor
Description
``
`VaultImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Platform in org.gitana.platform.client.webhost

Methods in org.gitana.platform.client.webhost that return Platform
Modifier and Type
Method
Description
`Platform`
WebHost.`getPlatform()`
`Platform`
WebHostDocument.`getPlatform()`
Constructors in org.gitana.platform.client.webhost with parameters of type Platform
Modifier
Constructor
Description
``
`WebHostImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`